Users

Update a user

POST/api/users/{userId}

Updates a user's password. Administrators can also change the username and role.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
userIdrequiredstringID of the associated user.

Request body

NameTypeDescription
passwordstringPassword used to authenticate the account.
roleenum<string>Permission role assigned to the user.
Options: admin, user, view-only
usernamestringUsername of the account.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
idrequiredstringUnique identifier of the resource.
rolerequiredstringPermission role assigned to the user.
usernamerequiredstringUsername of the account.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
404Not found.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
404 example

Code samples

cURL